package de.jottyfan.minecraft.quickiefabric.blocks;

import java.util.Arrays;
import java.util.List;

import de.jottyfan.minecraft.quickiefabric.items.QuickieItems;
import net.fabricmc.fabric.api.object.builder.v1.block.FabricBlockSettings;
import net.minecraft.block.BlockState;
import net.minecraft.block.Material;
import net.minecraft.block.OreBlock;
import net.minecraft.item.ItemStack;
import net.minecraft.loot.context.LootContext.Builder;

/**
 *
 * @author jotty
 *
 */
public class BlockOreSalpeter extends OreBlock {

	public BlockOreSalpeter() {
		super(FabricBlockSettings.of(Material.STONE).hardness(3.1f).requiresTool());
	}

	@Override
	public List<ItemStack> getDroppedStacks(BlockState state, Builder builder) {
		return Arrays.asList(new ItemStack[] { new ItemStack(QuickieItems.SALPETER) });
	}

//	@Override
//	protected int getExperienceWhenMined(Random random) {
//		return random.nextInt(3);
//	}
}
